Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence
Class PersistentStorage.WorkQueue

    java.lang.Object
      rice.persistence.PersistentStorage.WorkQueue

Enclosing class:
  PersistentStorage

public static class PersistentStorage.WorkQueue
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Constructor Summary
`PersistentStorage.WorkQueue()` Constructor for WorkQueue.
`PersistentStorage.WorkQueue(int capacity)` Constructor for WorkQueue.

Method Summary
`rice.persistence.PersistentStorage.WorkRequest` | `dequeue()` DESCRIBE THE METHOD
`void` | `enqueue(rice.persistence.PersistentStorage.WorkRequest request)` DESCRIBE THE METHOD
`int` | `getLength()` Gets the Length attribute of the WorkQueue object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentStorage.WorkQueue

    public PersistentStorage.WorkQueue()

  Constructor for WorkQueue.

### PersistentStorage.WorkQueue

    public PersistentStorage.WorkQueue(int capacity)

  Constructor for WorkQueue.

Parameters:
  `capacity` - DESCRIBE THE PARAMETER

Method Detail

### getLength

    public int getLength()

  Gets the Length attribute of the WorkQueue object

  Returns:
    The Length value

### enqueue

    public void enqueue(rice.persistence.PersistentStorage.WorkRequest request)

  DESCRIBE THE METHOD

  Parameters:
    `request` - DESCRIBE THE PARAMETER

### dequeue

    public rice.persistence.PersistentStorage.WorkRequest dequeue()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.